<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Templates:
        Contacts:
          Index.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="content">
    <h1>Listing for Contacts</h1>

    <f:flashMessages />

    <table class="tx_smartverein">
        <tr>
            <th><f:translate key="tx_smartverein_domain_model_contacts.type" /></th>
            <th><f:translate key="tx_smartverein_domain_model_contacts.contact" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{contacts}" as="contacts">
            <tr>
                <td><f:link.action action="show" arguments="{contacts : contacts}">{contacts.type}</f:link.action></td>
                <td><f:link.action action="show" arguments="{contacts : contacts}">{contacts.contact}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{contacts : contacts}">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{contacts : contacts}">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new">New Contacts</f:link.action>
</f:section>
</html>
